Skip to content
OperadeDocs

Search documentation

Type to search documentation.

Documentation
Copy page
Open raw Markdown

List agent tests

List visible Agent Testing resources and folders with cursor pagination, search, type, parent-folder, sorting, and explicit-sharing filters.

Endpoint

GET/api/v1/workspaces/{workspace_id}/agent-tests

Authentication

Operation classAuthenticationMinimum roleAPI key
customer-apiBearer API key or dashboard session cookie; dashboard mutations also require X-CX-Request: 1.memberAllowed

Parameters

NameInTypeRequiredDescription
workspace_idpathstringYes—
cursorquerystring or nullNo—
page_sizequeryintegerNo—
searchquerystring or nullNo—
parent_folder_idquerystring or nullNo—
types[]queryarray<string> or nullNo—
sort_modequerystringNo—
sharing_modequerystringNo—

Request body

This operation has no request body.

Example

cURL
curl --request GET 'https://operade.ai/api/v1/workspaces/ws_demo/agent-tests?page_size=30&parent_folder_id=root' \
  --header 'Authorization: Bearer YOUR_API_KEY'

Responses

StatusDescriptionContent
4XXHandled client errorapplication/json: ErrorResponse
200Successful Responseapplication/json: AgentTestListResponse

4XX application/json response schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectErrorResponse—NoYes——
errorobjectErrorItem—NoYes——
error.codestring——NoYes——
error.detailsobject——NoNo——
error.messagestring——NoYes——

200 application/json response schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectAgentTestListResponse—NoYes——
has_moreboolean——NoYes——
itemsarray<object>——NoYes——
items[]objectFolderResource or SimulationTestResource or NextReplyTestResource or ToolInvocationTestResource—NoYes——
items[].breadcrumbsarray<Breadcrumb> or null——YesNo——
items[].breadcrumbs[]objectBreadcrumb—NoYes——
items[].breadcrumbs[].idstring——NoYes——
items[].breadcrumbs[].namestring——NoYes——
items[].created_atstring—date-timeNoYes——
items[].created_bystring——NoYes——
items[].entity_typestring——NoYes"folder"—
items[].idstring——NoYes——
items[].namestring——NoYes——
items[].parent_folder_idstring or null——YesYes——
items[].updated_atstring—date-timeNoYes——
items[].accessarray<AccessGrant>——NoYes——
items[].access[]objectAccessGrant—NoYes——
items[].access[].rolestring——NoYes"viewer", "editor"—
items[].access[].user_idstring——NoYes——
items[].access_rolestring——NoYes"admin", "creator", "viewer", "editor"—
items[].chat_historyarray<HistoryEntry>——NoYes——
items[].chat_history[]objectHistoryEntry—NoYes——
items[].chat_history[].messagestring or null——YesNo——
items[].chat_history[].rolestring——NoYes"user", "agent"—
items[].chat_history[].tool_callsarray<ToolCall>——NoNo——
items[].chat_history[].tool_calls[]objectToolCall—NoYes—Bagian stabil kontrak vendor; detail bertipe baru tetap dipertahankan.
items[].chat_history[].tool_calls[].params_as_jsonstring——NoYes——
items[].chat_history[].tool_calls[].request_idstring——NoYes——
items[].chat_history[].tool_calls[].tool_detailsobject or null——YesNo——
items[].chat_history[].tool_calls[].tool_has_been_calledboolean——NoYes——
items[].chat_history[].tool_calls[].tool_namestring——NoYes——
items[].chat_history[].tool_calls[].typestring or null——YesNo——
items[].chat_history[].tool_resultsarray<ToolResult>——NoNo——
items[].chat_history[].tool_results[]objectToolResult—NoYes——
items[].chat_history[].tool_results[].is_blockedboolean——NoNo——
items[].chat_history[].tool_results[].is_errorboolean——NoYes——
items[].chat_history[].tool_results[].request_idstring——NoYes——
items[].chat_history[].tool_results[].result_valuestring——NoYes——
items[].chat_history[].tool_results[].tool_has_been_calledboolean——NoYes——
items[].chat_history[].tool_results[].tool_latency_secsnumber——NoNo——
items[].chat_history[].tool_results[].tool_namestring——NoYes——
items[].chat_history[].tool_results[].typestring——NoYes——
items[].conversation_initiation_sourcestring——NoYes"unknown", "telegram_integration"—
items[].current_revision_idstring——NoYes——
items[].dynamic_variablesobject——NoYes——
items[].evaluation_modelstring——NoYes——
items[].from_conversation_metadataobject or nullFromConversationMetadata—YesYes——
items[].from_conversation_metadata.conversation_idstring——NoYes——
items[].from_conversation_metadata.event_seqinteger——NoYes——
items[].from_conversation_metadata.original_agent_responsestring or null——YesNo——
items[].from_conversation_metadata.system__conversation_idstring or null——YesNo——
items[].from_conversation_metadata.system__time_utcstring—date-timeNoYes——
items[].revision_created_atstring—date-timeNoYes——
items[].simulated_user_modelstring——NoYes——
items[].simulation_max_turnsinteger——NoYes——
items[].simulation_scenariostring——NoYes——
items[].success_conditionsarray<string>——NoYes——
items[].success_conditions[]string——NoYes——
items[].tool_mock_configobjectToolMockConfig—NoYes——
items[].tool_mock_config.fallback_strategystring——NoNo"raise_error", "call_real_tool"—
items[].tool_mock_config.mocked_tool_idsarray<string>——NoNo——
items[].tool_mock_config.mocked_tool_ids[]string——NoYes——
items[].tool_mock_config.mocking_strategystring——NoNo"all", "selected", "none"—
items[].tool_mock_overridesobject——NoYes——
items[].typestring——NoYes"simulation"—
items[].failure_examplesarray<string>——NoYes——
items[].failure_examples[]string——NoYes——
items[].success_conditionstring——NoYes——
items[].success_examplesarray<string>——NoYes——
items[].success_examples[]string——NoYes——
items[].check_any_tool_matchesboolean——NoYes——
items[].tool_call_parametersobject or nullToolCallParameters—YesYes——
items[].tool_call_parameters.parametersarray<ParameterCondition>——NoNo——
items[].tool_call_parameters.parameters[]objectParameterCondition—NoYes——
items[].tool_call_parameters.parameters[].evalobjectAnythingEval or ExactEval or RegexEval or LlmEval—NoYes——
items[].tool_call_parameters.parameters[].pathstring——NoYes——
items[].tool_call_parameters.referenced_toolobject or nullReferencedTool—YesNo——
items[].tool_call_parameters.referenced_tool.idstring——NoYes——
items[].tool_call_parameters.referenced_tool.typestring——NoYes"system", "webhook", "google_sheets", "client", "workflow", "api_integration_webhook", "mcp", "code"—
items[].tool_call_parameters.verify_absenceboolean——NoNo——
items[].tool_call_parameters.workflow_node_transitionobject or nullWorkflowTransition—YesNo——
items[].tool_call_parameters.workflow_node_transition.agent_idstring——NoYes——
items[].tool_call_parameters.workflow_node_transition.target_node_idstring——NoYes——
items[].tool_call_parameters.workflow_node_transition.typestring——NoNo"node_id"—
next_cursorstring or null——YesYes——

Response example

Response body JSON
{
  "items": [],
  "next_cursor": "string",
  "has_more": false
}

Errors

Reviewed common and route-declared errors are summarized here; the list is not exhaustive. Start with the distributed error index to find each code's canonical domain page.

StatusCodeDescription
401unauthenticatedAuthentication is missing, invalid, or revoked.
403forbiddenThe authenticated caller does not have access to this operation.
404not_foundThe requested workspace resource was not found.
422validation_failedThe request did not pass field or business validation.
On this page
  1. Endpoint
  2. Authentication
  3. Parameters
  4. Request body
  5. Example
  6. Responses
  7. 4XX application/json response schema
  8. 200 application/json response schema
  9. Response example
  10. Errors
  11. Related operations